<template>
    <div :class="$style.container">
        <o-table :data="data" :bordered="true" striped :mobile-cards="false">
            <o-table-column v-for="(column, idx) in columns" :key="idx" v-slot="{ row }" v-bind="column">
                {{ row[column.field] }}
            </o-table-column>
        </o-table>
        <o-table :data="data" :bordered="true" striped :mobile-cards="false">
            <o-table-column v-for="(column, idx) in columns" :key="idx" v-slot="{ row }" v-bind="column">
                {{ row[column.field] }}
            </o-table-column>
        </o-table>
    </div>
</template>

<script>
export default {
    name: 'TablesSection',
    data() {
        return {
            data: [
                {
                    id: 1,
                    first_name: 'Jesse',
                    last_name: 'Simmons',
                    date: '2016-10-15 13:43:27',
                    gender: 'Male',
                },
                {
                    id: 2,
                    first_name: 'John',
                    last_name: 'Jacobs',
                    date: '2016-12-15 06:00:53',
                    gender: 'Male',
                },
                {
                    id: 3,
                    first_name: 'Tina',
                    last_name: 'Gilbert',
                    date: '2016-04-26 06:26:28',
                    gender: 'Female',
                },
                {
                    id: 4,
                    first_name: 'Clarence',
                    last_name: 'Flores',
                    date: '2016-04-10 10:28:46',
                    gender: 'Male',
                },
                {
                    id: 5,
                    first_name: 'Anne',
                    last_name: 'Lee',
                    date: '2016-12-06 14:38:38',
                    gender: 'Female',
                },
            ],
            columns: [
                {
                    field: 'id',
                    label: 'ID',
                    width: '40',
                    numeric: true,
                },
                {
                    field: 'first_name',
                    label: 'First Name',
                },
            ],
        }
    },
}
</script>

<style lang="scss" module>
.container {
    display: flex;
    table {
        border-collapse: collapse;
    }

    td,
    th {
        border: 1px solid black;
    }

    tr:nth-of-type(odd) {
        background-color: #f8f7fb;
    }
}
</style>
